# Copyright (c) 2010 Herbert Graeber
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to herbert@links2linux.de

# norootforbuild


Name:           perl-Net-UPnP
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Version:        1.4.2
Release:        1.pm.1.1
Summary:        Perl extension for UPnP
License:        BSD
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-UPnP/
Source:         http://www.cpan.org/modules/by-module/Net/Net-UPnP-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  perl
%if 0%{?suse_version} < 1120
BuildRequires:  perl-macros
%endif
Requires:       perl = %{perl_version}
Provides:       %{cpan_name}

%description
This package provides some functions to control UPnP devices.

Currently, the package provides only functions for the control point. To control
UPnP devices, see Net::UPnP::ControlPoint.

As a sample of the control point, the package provides Net::UPnP::AV::MediaServer
to control the devices such as DLNA media servers. As the example, please
dms2vodcast.pl that converts from the MPEG2 movies to the MPEG4 one and outputs
the RSS file for Vodcasting.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(0644,root,root,0755)
%doc Changes README

%changelog
* Sun Nov  7 2010 herbert@links2linux.de
- Fix file permissions
* Sun Nov  7 2010 herbert@links2linux.de
- Initial package
